Error from Companion: invoke: no method named `AppName' in class edu.mit.appinventor.aicompanion3.Screen1

any help about this error, every time I connect an emulator it reaches a point it gives this error

Export your .aia file and upload it here.
export_and_upload_aia

Perhaps this error could have been because of,


when i start the emaulator the above message appear

image
this message also appear when i add blocks

What is the Companion version number on your emulator?

how can i know the version ?
the ai starter version is
image

Without block i got the no method name error, if blocks added java run time error.
Installed aistarter version "MIT_App_Inventor_Tools_2.3.0_win_setup"


Is your Companion on the emulator updated to Companion 2.63 ?

Some users are having issues with installing the emulator and then it does not update the version from the installed version to the most recent version automatically. This seems to be your issue.
The developers have been requested to comment.

No, After running the emulator it doesn't ask for the companion upgrade at all. before that emulator stops and the emulator screen turns white empty. And my aistarter stops with this statement.

Yes exactly this happens, Can you help me out what needs to done for this issue?

MIT needs to fix the problem. They are working on a new emulator but it is not ready yet.

I have the same problem too where the emulator does not update as it is supposed to. :cry:
I can not use the emulator and currently use Companion with an Android cell phone.

Thank you for your response. I was trying this for a week and thought it was my problem.
Yes it works fine with the android phone for me too.

LIUYTRGTGH.aia (1.0 KB)

Why are you posting this? This is an empty project file.

  • What language did you use to create this project?
  • Did you get this project from the Gallery?
  • If so, what link?

Hi,
Are there any updates on this issue? Do we know if it's a bug in version 2.3? We are also experiencing issues with the emulator displaying white after connecting it. Is the only workaround to use the companion feature instead?

Test3.aia (1.0 KB)

The emulator package provides the version of the companion that was available at the time it was built. The 2.3 package is from 2015, so it includes a fairly old version of the companion.

I would strongly encourage upgrading to emulator version 30.265.0 to get the latest features of App Inventor. This is also important if you use Google Chrome, because starting at the end of next January it will no longer be possible to use emulator version 2.3 due to browser changes being implemented by Google.